Subject: Re: bug#71554: 29.3; eshell-command async buffer behavior

From: Jim Porter <[email-masked]>
Date: Sun, 23 Jun 2024 22:36:47 -0700

On 6/20/2024 12:30 AM, Thierry Volpiatto wrote:
> This patch doesn't work if user kill for some reason the initial process
> buffer, we have to check if other buffers are alive.  Also having a new
> variable eshell-command-async-buffer instead of reusing
> async-shell-command-buffer is better IMO.
> Here a patch that fix these issues.

I haven't tried it yet, but this patch makes sense to me, with the tiny 
exception that I think defaulting to 'confirm-new-buffer' would be 
better for consistency. (It's not my preferred setting, but I think we 
should stay the same as Comint unless we have a good reason for why that 
value has some problems unique to Eshell.)

Eli, what do you think about merging this into the Emacs 30 branch? I 
have no strong preference myself, but I think it's small enough that it 
should be safe, and it fixes an annoyance with Eshell today. (I can also 
write a regression test or two if that would help matters.)